[#]: collector: (lujun9972)
[#]: translator: (sanfusu)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10689-1.html)
[#]: subject: (Blockchain 2.0: Redefining Financial Services [Part 3])
[#]: via: (https://www.ostechnix.com/blockchain-2-0-redefining-financial-services/)
[#]: author: (ostechnix https://www.ostechnix.com/author/editor/)

区块链 2.0：重新定义金融服务（三）
======

![](https://www.ostechnix.com/wp-content/uploads/2019/03/Financial-Services-1-720x340.png)

[本系列的前一篇文章][1]侧重于建立背景，以阐明为什么将现有的金融系统向充满未来主义的[区块链][2]体系迈进是“货币”改革的下一个自然步骤。我们将继续了解哪些区块链特性将有助于这一迁移。但是，金融市场十分复杂，并且人们的交易由众多组成部分组成，而不仅仅是货币。

本部分将探索哪些区块链特性能够让金融机构向区块链平台迁移，并将传统银行和金融系统与其合并。如之前讨论证明的那样，如果有足够的人参与到给定的区块链网络并且支持交易协议，则赋给“代币”的面值将提升并变得更稳定。以比特币（BTC）为例，就和我们习惯使用的纸币一样，像比特币和以太币这样的加密货币，都可以用于所有前者的目的，从购买食物到船只，乃至贷款和购买保险。

事实上，你所涉及的银行或其他金融机构很可能已经[利用了区块链分类账本技术][r1]。金融行业中区块链技术最显著的用途是建立支付基础设施、基金交易技术和数字身份管理。传统上，后两者是由金融服务业传统的系统处理的。但由于区块链处理上的效率，这些系统正逐渐的向区块链迁移合并。区块链还为这些金融服务业的公司提供了高质量的数据分析解决方案，这一方面之所以能够快速的得到重视，主要得益于最近的数据科学的发展。

从这一领域前沿阵地的初创企业和项目入手考察，区块链似乎能有所保证，因为这些企业或项目的产品已经开始在市场上扩展开来。

PayPal，这是一家创建于 1998 年的在线支付公司，现为此类平台中最大的一个，常被视作运营和技术能力的基准。PayPal 很大程度上派生自现有的货币体系。它的创新贡献来自于如何收集并利用消费者数据，以提供即时的在线服务。如今，在线交易已被认为是理所当然的事，其所基于的技术方面，在该行业里的创新极少。拥有坚实的基础是一件好事，但在快速发展的 IT 行业里并不能提供任何竞争力，毕竟每天都有新的标准和新的技术。2014 年，PayPal 子公司 **Braintree** [宣布][r2]与流行的加密货币支付方案解决商 [Coinbase][r3] 和 **GoCoin** 建立了合作关系，以便逐步将比特币和其它加密货币整合到它们的服务平台上。这基本上给了加密货币支付方案解决商的消费者在 PayPal 可靠且熟悉的平台下探索和体验的一个机会。事实上，打车公司 **Uber** 和 Braintree 具有独家合作关系，允许消费者在打车的时候使用比特币。

**瑞波（Ripple）** 正在让人们在多个区块链之间的操作变得更简单。瑞波已经成为美国各地区银行向前发展的头条新闻，比如，在不需要第三方中介的情况下，将资金双边转移给其他地区银行，从而降低了成本和时间管理费用。[瑞波的 Codius 平台][r4]允许区块链之间互相操作，并为智能合约编入系统提供了方便之门，以最大限度地减少篡改和混乱。建立在这种先进、安全并且可根据需要扩展的平台上，瑞波拥有像瑞银和[渣打银行][r5] 在内的客户列表，更多的银行客户也在期待加入。

**Kraken**，是一个在全球各地运营的美国加密货币交易所，因其可靠的**加密货币量**估算而闻名，甚至向彭博终端实时提供比特币定价数据。在 2015 年，[他们与菲多尔银行][r6]合作建立世界上第一个提供银行业务和加密货币交易的加密货币银行。

另一家金融科技公司 [Circle][r7] 则是目前同类公司中规模最大的一家，允许用户投资和交易加密货币衍生资产，类似于传统的货币市场资产。

如今，像 [Wyre][r8] 和 **Stellar** 这样的公司已经将国际电汇的提前期从平均 3 天降到了 6 小时。有人声称，一旦建立了适当的监管体系，同样的 6 小时可以缩短至几秒钟。

虽然现在上述内容集中在相关的初创项目上，但是不应忽视更受尊敬的老派金融机构的影响力和能力。这些全球范围内交易量达数十亿美元，已经存在了数十年乃至上百年的机构，在利用区块链及其潜力上有着相当的兴趣。

前面的文章中我们已经提到，**摩根大通**最近披露了他们在开发加密货币和企业级别的区块链基础分类帐本上的计划。该项目被称为 [Quorum][r9]，被定义为 **“企业级分布式分类帐和智能合约平台”**。这一平台的主要目标是将大量的银行操作逐渐的迁移到 Quorum 中，从而削减像摩根大通这样的公司在保证隐私、安全和透明度上的重大开销。他们声称自己是行业中唯一完整拥有全部的区块链、协议和代币系统的玩家。他们也发布了一个称为 **JPM 硬币** 的加密货币，用于大额即时结算。JPM 硬币是由摩根大通等主要银行支持的首批“稳定币”。稳定币是其价格与现存主要货币系统相关联的加密货币。Quorum 也因其每秒几近 100 次远高于同行的交易量而倍受吹捧，这远远领先于同时代。

据报道，英国跨国金融巨头巴克莱已经[注册了两项基于区块链的专利][r10]，旨在简化资金转移和 KYC 规程。巴克莱更多的是旨在提高自身的银行操作效率。其中一个应用是创建一个私有区块链网络，用于存储客户的 KYC 信息。经过验证、存储和确认后，这些详细信息将不可变，并且无需再进一步验证。若能实施这一应用，该协议将取消对 KYC 信息多次验证的需求。像印度这样有着高密度人口的发展中国家，其中大部分人口的 KYC 信息尚未被引入正式的银行系统中，若能引入这种具有革新意义的 KYC 系统，将有助于减少随机错误并减少交付时间。据传，巴克莱同时也在探索区块链系统的功能，以便解决信用状态评级和保险赔偿问题。

这种以区块链作支撑的系统，被用来消除不必要的维护成本，并利用智能合约来为那些需要慎重、安全和速度的企业在行业内赢得竞争力。这些企业产品建立在一个能够确保完整交易以及合同隐私的协议之上，同时建立了可使腐败和贿赂无效的共识机制。

[普华永道 2017 年的全球金融科技报告][r11] 表示到 2020 年，所有金融科技公司中约有 77％ 将转向基于区块链的技术和流程。高达 90％ 的受访者表示他们计划在 2020 年之前将区块链技术作为生产系统的一部分。他们的判断没错，因为从监管的角度来看，通过转移到基于区块链的系统上，可以确保显著的成本节约和透明度增加。

由于区块链平台默认内置了监管能力，因此企业从传统系统迁移到运行区块链分类账本的现代网络也是行业监管机构所欢迎的举措。交易和贸易运动可以一劳永逸地进行验证和跟踪。从长远来看，这可能会带来更好的监管和风险管理，更不用说改善了公司和个人的责任。

虽然对跨越式创新的投资是由企业进行的大量投资顺带所致，但如果认为这些措施不会渗透到最终用户的利益中是具有误导性的。随着银行和金融机构开始采用区块链，这将为他们带来更多的成本节约和效率，而这最终也将对终端消费者有利。透明度和欺诈保护带来的额外好处将改善客户的感受，更重要的是提高人们对银行和金融系统的信任。通过区块链及其与传统服务的整合，金融服务行业急需的革命将成为可能。 在本系列的下一部分中，我们将讨论[房地产中的区块链][3]。


--------------------------------------------------------------------------------

via: https://www.ostechnix.com/blockchain-2-0-redefining-financial-services/

作者：[ostechnix][a]
选题：[lujun9972][b]
译者：[sanfusu](https://github.com/sanfusu)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.ostechnix.com/author/editor/
[b]: https://github.com/lujun9972
[1]: https://linux.cn/article-10668-1.html
[2]: https://linux.cn/article-10650-1.html
[3]: https://www.ostechnix.com/blockchain-2-0-blockchain-in-real-estate/
[r1]: https://www.forbes.com/sites/bernardmarr/2018/01/22/35-amazing-real-world-examples-of-how-blockchain-is-changing-our-world/#170df8de43b5
[r2]: https://publicpolicy.paypal-corp.com/issues/blockchain
[r3]: https://blog.coinbase.com/coinbase-adds-support-for-paypal-and-credit-cards-21968661d508
[r4]: http://fortune.com/2018/06/06/ripple-codius/
[r5]: https://www.finextra.com/newsarticle/32048/standard-chartered-to-extend-use-of-ripplenet-to-more-countries
[r6]: https://99bitcoins.com/fidor-and-kraken-team-up-for-cryptocurrency-bank/
[r7]: https://www.bloomberg.com/research/stocks/private/snapshot.asp?privcapId=249292386
[r8]: https://www.forbes.com/sites/julianmitchell/2018/07/31/wyre-the-blockchain-platform-taking-the-lead-in-cross-border-transactions/#6bc69ade69d7
[r9]: https://www.jpmorgan.com/global/Quorum
[r10]: https://cointelegraph.com/news/barclays-files-two-digital-currency-and-blockchain-patents-with-u-s-patent-office
[r11]: https://www.pwc.com/jg/en/media-release/global-fintech-survey-2017.html
