[#]: collector: (lujun9972)
[#]: translator: (hopefully2333)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10773-1.html)
[#]: subject: (Enhanced security at the edge)
[#]: via: (https://www.networkworld.com/article/3388130/enhanced-security-at-the-edge.html#tk.rss_all)
[#]: author: (Anne Taylor https://www.networkworld.com/author/Anne-Taylor/)

增强边缘计算的安全性
======

> 边缘计算环境带来的安全风险迫使公司必须特别关注它的安全措施。

![](https://images.idgesg.net/images/article/2019/04/istock-1091707448-100793312-large.jpg)

说数据安全是高管们和董事会最关注的问题已经是陈词滥调了。但问题是：数据安全问题不会自己消失。

骇客和攻击者一直在寻找利用缺陷的新方法。就像公司开始使用人工智能和机器学习等新兴技术来自动化地保护他们的组织一样，那些不良分子们也在使用这些技术来达成他们的目的。

简而言之，安全问题是一定不能忽视的。现在，随着越来越多的公司开始使用边缘计算，如何保护这些边缘计算环境，需要有新的安全考量。

### 边缘计算的风险更高

正如 Network World 的一篇文章所说，边缘计算的安全架构应该将重点放在物理安全上。这并不是说要忽视保护传输过程中的数据。而是说，实际的物理环境和物理设备更加值得关注。

例如，边缘计算的硬件设备通常位于较大的公司或者广阔空间中，有时候是在很容易进入的共享办公室和公共区域里。从表面上看，这节省了成本，能更快地访问到相关的数据，而不必在后端的数据中心和前端的设备之间往返。

但是，如果没有任何级别的访问控制，这台设备就会暴露在恶意操作和简单人为错误的双重风险之下。想象一下办公室的清洁工意外地关掉了设备，以及随之而来的停机所造成的后果。

另一个风险是 “影子边缘 IT”。有时候非 IT 人员会部署一个边缘设备来快速启动项目，却没有及时通知 IT 部门这个设备正在连接到网络。例如，零售商店可能会主动安装他们自己的数字标牌，或者，销售团队会将物联网传感器应用到电视中，并在销售演示中实时地部署它们。

在这种情况下，IT 部门很少甚至完全看不到这些边缘设备，这就使得网络可能暴露在外。

### 保护边缘计算环境

部署微型数据中心（MDC）是规避上述风险的一个简单方法。

> “在历史上，大多数这些[边缘]环境都是不受控制的，”施耐德电气安全能源部门的首席技术官和创新高级副总裁 Kevin Brown 说。“它们可能是第 1 级，但很可能是第 0 级类型的设计 —— 它们就像开放的配线柜。它们现在需要像微型数据中心一样的对待。你管理它需要像管理关键任务数据中心一样”

单说听起来的感觉，这个解决方案是一个安全、独立的机箱，它包括在室内和室外运行程序所需的所有存储空间、处理性能和网络资源。它同样包含必要的电源、冷却、安全和管理工具。

而它最重要的是高级别的安全性。这个装置是封闭的，有上锁的门，可以防止非法入侵。通过合适的供应商，DMC 可以进行定制，包括用于远程数字化管理的监控摄像头、传感器和监控技术。

随着越来越多的公司开始利用边缘计算的优势，他们必须利用安全解决方案的优势来保护他们的数据和边缘环境。

在 APC.com 上了解保护你的边缘计算环境的最佳方案。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3388130/enhanced-security-at-the-edge.html

作者：[Anne Taylor][a]
选题：[lujun9972][b]
译者：[hopefully2333](https://github.com/hopefully2333)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Anne-Taylor/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2019/04/istock-1091707448-100793312-large.jpg
[2]: https://www.csoonline.com/article/3250144/6-ways-hackers-will-use-machine-learning-to-launch-attacks.html
[3]: https://www.marketwatch.com/press-release/edge-computing-market-2018-global-analysis-opportunities-and-forecast-to-2023-2018-08-20
[4]: https://www.networkworld.com/article/3224893/what-is-edge-computing-and-how-it-s-changing-the-network.html
[5]: https://www.youtube.com/watch?v=1NLk1cXEukQ
[6]: https://www.apc.com/us/en/solutions/business-solutions/edge-computing.jsp
