[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10984-1.html)
[#]: subject: (Running LEDs in reverse could cool computers)
[#]: via: (https://www.networkworld.com/article/3386876/running-leds-in-reverse-could-cool-computers.html#tk.rss_all)
[#]: author: (Patrick Nelson https://www.networkworld.com/author/Patrick-Nelson/)

反向运行 LED 能够冷却计算机
======

> 电子产品的小型化正在触及其极限，部分原因在于热量管理。许多人现在都在积极地尝试解决这个问题。其中一种正在探索的途径是反向运行的 LED。

![monsitj / Getty Images][1]

寻找更有效的冷却计算机的方法，几乎与渴望发现更好的电池化学成分一样，在科学家的研究日程中也处于重要位置。

更多的冷却手段对于降低成本至关重要。冷却技术也使得在较小的空间中可以进行更强大的处理，其有限的处理能力应该是进行计算而不是浪费热量。冷却技术可以阻止热量引起的故障，从而延长部件的使用寿命，并且可以促进环保的数据中心 —— 更少的热量意味着对环境的影响更小。

如何从微处理器中消除热量是科学家们一直在探索的一个方向，他们认为他们已经提出了一个简单而不寻常、且反直觉的解决方案。他们说可以运行一个发光二极管（LED）的变体，其电极反转可以迫使该元件表现得像处于异常低温下工作一样。如果将其置于较热的电子设备旁边，然后引入纳米级间隙，可以使 LED 吸收热量。

“一旦 LED 反向偏置，它就会像一个非常低温的物体一样，吸收光子，”密歇根大学机械工程教授埃德加·梅霍夫在宣布了这一突破的[新闻稿][4]中说。 “与此同时，该间隙可防止热量返回，从而产生冷却效果。”

研究人员表示，LED 和相邻的电子设备（在这种情况下是热量计，通常用于测量热能）必须非常接近。他们说他们已经能够证明达到了每平方米 6 瓦的冷却功率。他们解释说，这是差不多是地球表面所接受到的阳光的能量。

物联网（IoT）设备和智能手机可能是最终将受益于这种 LED 改造的电子产品。这两种设备都需要在更小的空间中容纳更多的计算功率。

“从微处理器中可以移除的热量开始限制在给定空间内容纳的功率，”密歇根大学的公告说。

### 材料科学和冷却计算机

[我之前写过关于新形式的计算机冷却的文章][5]。源自材料科学的外来材料是正在探索的想法之一。美国能源部劳伦斯伯克利国家实验室表示，钠铋（Na3Bi）可用于晶体管设计。这种新物质带电荷，重要的是具有可调节性；但是，它不需要像超导体那样进行冷却。

事实上，这是超导体的一个问题。不幸的是，它们比大多数电子设备需要更多的冷却 —— 通过极端冷却消除电阻。

另外，[康斯坦茨大学的德国研究人员][6]表示他们很快将拥有超导体驱动的计算机，没有废热。他们计划使用电子自旋 —— 一种新的电子物理维度，可以提高效率。该大学去年在一份新闻稿中表示，这种方法“显著降低了计算中心的能耗”。

另一种减少热量的方法可能是用嵌入在微处理器上的[螺旋和回路来取代传统的散热器][7]。宾汉姆顿大学的科学家们表示，印在芯片上的微小通道可以为冷却剂提供单独的通道。

康斯坦茨大学说：“半导体技术的小型化正在接近其物理极限。”热管理现在被科学家提上了议事日程。这是“小型化的一大挑战”。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3386876/running-leds-in-reverse-could-cool-computers.html#tk.rss_all

作者：[Patrick Nelson][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Patrick-Nelson/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2019/02/big_data_center_server_racks_storage_binary_analytics_by_monsitj_gettyimages-944444446_3x2-100787357-large.jpg
[2]: https://www.networkworld.com/article/3242807/data-center/top-10-data-center-predictions-idc.html#nww-fsb
[3]: https://www.networkworld.com/newsletters/signup.html#nww-fsb
[4]: https://news.umich.edu/running-an-led-in-reverse-could-cool-future-computers/
[5]: https://www.networkworld.com/article/3326831/computers-could-soon-run-cold-no-heat-generated.html
[6]: https://www.uni-konstanz.de/en/university/news-and-media/current-announcements/news/news-in-detail/Supercomputer-ohne-Abwaerme/
[7]: https://www.networkworld.com/article/3322956/chip-cooling-breakthrough-will-reduce-data-center-power-costs.html
[8]: https://www.facebook.com/NetworkWorld/
[9]: https://www.linkedin.com/company/network-world
