[#]: collector: (lujun9972)
[#]: translator: (warmfrog)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10812-1.html)
[#]: subject: (What is 5G? How is it better than 4G?)
[#]: via: (https://www.networkworld.com/article/3203489/what-is-5g-how-is-it-better-than-4g.html#tk.rss_all)
[#]: author: (Josh Fruhlinger https://www.networkworld.com/author/Josh-Fruhlinger/)

什么是 5G？它比 4G 好在哪里？
==========================

> 5G 网络将使无线网络吞吐量提高 10 倍并且能够替代有线宽带。但是它们什么时候能够投入使用呢，为什么 5G 和物联网如此紧密地联系在一起呢？

![Thinkstock][1]

[5G 无线][2] 是一个概括的术语，用来描述一系列更快的无线互联网的标准和技术，理论上比 4G 快了 20 倍并且延迟降低了 120 倍，为物联网的发展和对新的高带宽应用的支持奠定了基础。

### 什么是 5G？科技还是流行词？

这个技术在世界范围内完全发挥它的潜能还需要数年时间，但同时当今一些 5G 网络服务已经投入使用。5G 不仅是一个技术术语，也是一个营销术语，并不是市场上的所有 5G 服务是标准的。

- [来自世界移动大会：[5G 时代即将来到][3]]

### 5G 与 4G 的速度对比

无线技术的每一代，最大的呼吁是增加速度。5G 网络潜在的峰值下载速度可以达到[20 Gbps，一般在 10 Gbps][4]。这不仅仅比当前 4G 网络更快，4G 目前峰值大约 1 Gbps，并且比更多家庭的有线网络连接更快。5G 提供的网络速度能够与光纤一较高下。

吞吐量不是 5G 仅有的速度提升；它还有的特点是极大降低了网络延迟。这是一个重要的区分：吞吐量用来测量花费多久来下载一个大文件，而延迟由网络瓶颈决定，延迟在往返的通讯中减慢了响应速度。

延迟很难量化，因为它因各种网络状态变化而变化，但是 5G 网络在理想情况下有能力使延迟率在 1 ms 内。总的来说，5G 延迟将比 4G 降低 60 到 120 倍。这会使很多应用变得可能，例如当前虚拟现实的延迟使它变得不实际。

### 5G 技术

5G 技术的基础有一系列标准定义，在过去的 10 年里一直在研究更好的部分。这些里面最重要的是 5G New Radio（5G NR），由 3GPP（一个为移动电话开发协议的标准化组织）组织标准化。5G NR 规定了很多 5G 设备操作的方式，[于 2018 年 7 月 完成终版][5]。

很多独特的技术同时出现来尽可能地提升 5G 的速度并降低延迟，下面是一些重要的。

### 毫米波

5G 网络大部分使用在 30 到 300 GHz 范围的频率。（正如名称一样，这些频率的波长在 1 到 10 毫米之间）这些高频范围能够[在每个时间单元比低频信号携带更多的信息][7]，4G LTE 当前使用的就是通常频率在 1 GHz 以下的低频信号，或者 WiFi，最高 6 GHz。

毫米波技术传统上是昂贵并且难于部署的。科技进步已经克服了这些困难，这也是 5G 在如今成为了可能的原因。

### 小蜂窝

毫米波传输的一个缺点是当它们传输通过物理对象的时候比 4G 或 WiFi 信号更容易被干扰。

为了克服这些，5G 基础设施的模型将不同于 4G。替代了大的像景观一样移动天线桅杆，5G 网络将由[分布在城市中大概间距 250 米的更小的基站][8]提供支持，创建更小的服务区域。

这些 5G 基站的功率要求低于 4G，并且可以更容易地连接到建筑物和电线杆上。

### 大量的 MIMO

尽管 5G 基站比 4G 的对应部分小多了，但它们却带了更多的天线。这些天线是[多输入多输出的（MIMO）][9]，意味着在相同的数据信道能够同时处理多个双向会话。5G 网络能够处理比 4G 网络超过 20 倍的会话。

大量的 MIMO 保证了[基站容量限制下的极大提升][10]，允许单个基站承载更多的设备会话。这就是 5G 可能推动物联网更广泛应用的原因。理论上，更多的连接到互联网的无线设备能够部署在相同的空间而不会使网络被压垮。

### 波束成形

确保所有的会话来回地到达正确的地方是比较棘手的，尤其是前面提到的毫米波信号的干涉问题。为了克服这些问题，5G 基站部署了更高级的波束技术，使用建设性和破坏性的无线电干扰来使信号有向而不是广播。这在一个特定的方向上有效地加强了信号强度和范围。

### 5G 可获得性

第一个 5G 商用网络 [2018 年 5 月在卡塔尔推出][12]。自那以后，5G 网络已经扩展到全世界，从阿根廷到越南。[Lifewire 有一个不错的，经常更新的列表][13].

牢记一点的是，尽管这样，目前不是所有的 5G 网络都履行了所有的技术承诺。一些早期的 5G 产品依赖于现有的 4G 基础设施，减少了可以获得的潜在速度；其它服务为了市场目的而标榜 5G 但是并不符合标准。仔细观察美国无线运营商的产品都会发现一些陷阱。

### 无线运营商和 5G

技术上讲，5G 服务如今在美国已经可获得了。但声明中包含的注意事项因运营商而异，表明 5G 普及之前还有很长的路要走。

Verizon 可能是早期 5G 最大的推动者。它宣告到 2018 年 10 月 将有 4 个城市成为 [5G 家庭][14]的一部分，这是一项需要你的其他设备通过 WiFi 来连接特定的 5G 热点，由热点连接到网络的服务。

Verizon 计划四月在 [Minneapolis 和 Chicago 发布 5G 移动服务][15]，该服务将在这一年内传播到其他城市。访问 5G 网络将需要消费者每月额外花费费用，加上购买能够实际访问 5G 的手机花费（稍后会详细介绍）。另外，Verizon 的部署被称作 [5G TF][16]，实际上不符合 5G NR 的标准。

AT&T [声明在 2018 年 12 月将有美国的 12 个城市可以使用 5G][17]，在 2019 年的末尾将增加 9 个城市，但最终在这些城市里，只有市中心商业区能够访问。为了访问 5G 网络，需要一个特定的 Netgear 热点来连接到 5G 服务，然后为手机和其他设备提供一个 Wi-Fi 信号。

与此同时，AT&T 也在推出 4G 网络的速度提升计划，被成为 5GE，即使这些提升和 5G 网络没有关系。（[这会向后兼容][18]）

Sprint 将在 2019 年 5 月之前在四个城市提供 5G 服务，在年末将有更多。但是 Sprint 的 5G 产品充分利用了 MIMO 单元，他们[没有使用毫米波信道][19]，意味着 Sprint 的用户不会看到像其他运营商一样的速度提升。

T-Mobile 采用相似的模型，它[在 2019 年年底之前不会推出 5G 服务][20]，因为他们没有手机能够连接到它。

一个可能阻止 5G 速度的迅速传播的障碍是需要铺开所有这些小蜂窝基站。它们小的尺寸和较低的功耗需求使它们技术上比 4G 技术更容易部署，但这不意味着它能够很简单的使政府和财产拥有者信服到处安装一堆基站。Verizon 实际上建立了[向本地民选官员请愿的网站][21]来加速 5G 基站的部署。

### 5G 手机：何时可获得？何时可以买？

第一部声称为 5G 手机的是 Samsung Galaxy S10 5G，将在 2019 年夏末首发。你也可以从 Verizon 订阅一个“[Moto Mod][22]”，用来[转换 Moto Z3 手机为 5G 兼容设备][23]。

但是除非你不能忍受作为一个早期使用者的诱惑，你会希望再等待一下；一些关于运营商的奇怪和突显的问题意味着可能你的手机[不兼容你的运营商的整个 5G 网络][24]。

一个可能令你吃惊的落后者是苹果：分析者确信最早直到 2020 年以前 iPhone 不会与 5G 兼容。但这符合该公司的特点；苹果在 2012 年末也落后于三星发布兼容 4G 的手机。

不可否认，5G 洪流已经到来。5G 兼容的设备[在 2019 年统治了巴塞罗那世界移动大会][3]，因此期待视野里有更多的选择。

### 为什么人们已经在讨论 6G 了？

一些专家说缺点是[5G 不能够达到延迟和可靠性的目标][27]。这些完美主义者已经在探寻 6G，来试图解决这些缺点。

有一个[研究新的能够融入 6G 技术的小组][28]，自称为“融合 TeraHertz 通信与传感中心”（ComSenTer）。根据说明，他们努力让每个设备的带宽达到 100Gbps。

除了增加可靠性，还突破了可靠性并增加速度，6G 同样试图允许上千的并发连接。如果成功的话，这个特点将帮助物联网设备联网，使在工业设置中部署上千个传感器。

即使仍在胚胎当中，6G 已经由于新发现的 [在基于 tera-hretz 的网络中潜在的中间人攻击][29]的紧迫性面临安全的考虑。好消息是有大量时间来解决这个问题。6G 网络直到 2030 之前才可能出现。

阅读更多关于 5G 网络：

  * [企业如何为 5G 网络做准备][30]
  * [5G 与 4G：速度、延迟和应用支持的差异][31]
  * [私人 5G 网络即将到来][32]
  * [5G 和 6G 无线存在安全问题][33]
  * [毫米波无线技术如何支持 5G 和物联网][34]

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3203489/what-is-5g-how-is-it-better-than-4g.html

作者：[Josh Fruhlinger][a]
选题：[lujun9972][b]
译者：[warmfrog](https://github.com/warmfrog)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Josh-Fruhlinger/
[b]: https://github.com/lujun9972
[1]: https://images.techhive.com/images/article/2017/04/5g-100718139-large.jpg
[2]: https://www.networkworld.com/article/3203489/what-is-5g-wireless-networking-benefits-standards-availability-versus-lte.html
[3]: https://www.networkworld.com/article/3354477/mobile-world-congress-the-time-of-5g-is-almost-here.html
[4]: https://www.networkworld.com/article/3330603/5g-versus-4g-how-speed-latency-and-application-support-differ.html
[5]: https://www.theverge.com/2018/6/15/17467734/5g-nr-standard-3gpp-standalone-finished
[6]: https://pluralsight.pxf.io/c/321564/424552/7490?u=https%3A%2F%2Fwww.pluralsight.com%2Fcourses%2Fmobile-device-management-big-picture
[7]: https://www.networkworld.com/article/3291323/millimeter-wave-wireless-could-help-support-5g-and-iot.html
[8]: https://spectrum.ieee.org/video/telecom/wireless/5g-bytes-small-cells-explained
[9]: https://www.networkworld.com/article/3250268/what-is-mu-mimo-and-why-you-need-it-in-your-wireless-routers.html
[10]: https://spectrum.ieee.org/tech-talk/telecom/wireless/5g-researchers-achieve-new-spectrum-efficiency-record
[11]: https://www.networkworld.com/article/3262991/future-wireless-networks-will-have-no-capacity-limits.html
[12]: https://venturebeat.com/2018/05/14/worlds-first-commercial-5g-network-launches-in-qatar/
[13]: https://www.lifewire.com/5g-availability-world-4156244
[14]: https://www.digitaltrends.com/computing/verizon-5g-home-promises-up-to-gigabit-internet-speeds-for-50/
[15]: https://lifehacker.com/heres-your-cheat-sheet-for-verizons-new-5g-data-plans-1833278817
[16]: https://www.theverge.com/2018/10/2/17927712/verizon-5g-home-internet-real-speed-meaning
[17]: https://www.cnn.com/2018/12/18/tech/5g-mobile-att/index.html
[18]: https://www.networkworld.com/article/3339720/like-4g-before-it-5g-is-being-hyped.html?nsdr=true
[19]: https://www.digitaltrends.com/mobile/sprint-5g-rollout/
[20]: https://www.cnet.com/news/t-mobile-delays-full-600-mhz-5g-launch-until-second-half/
[21]: https://lets5g.com/
[22]: https://www.verizonwireless.com/support/5g-moto-mod-faqs/?AID=11365093&SID=100098X1555750Xbc2e857934b22ebca1a0570d5ba93b7c&vendorid=CJM&PUBID=7105813&cjevent=2e2150cb478c11e98183013b0a1c0e0c
[23]: https://www.digitaltrends.com/cell-phone-reviews/moto-z3-review/
[24]: https://www.businessinsider.com/samsung-galaxy-s10-5g-which-us-cities-have-5g-networks-2019-2
[25]: https://www.cnet.com/news/why-apples-in-no-rush-to-sell-you-a-5g-iphone/
[26]: https://mashable.com/2012/09/09/iphone-5-4g-lte/#hYyQUelYo8qq
[27]: https://www.networkworld.com/article/3305359/6g-will-achieve-terabits-per-second-speeds.html
[28]: https://www.networkworld.com/article/3285112/get-ready-for-upcoming-6g-wireless-too.html
[29]: https://www.networkworld.com/article/3315626/5g-and-6g-wireless-technologies-have-security-issues.html
[30]: https://%20https//www.networkworld.com/article/3306720/mobile-wireless/how-enterprises-can-prep-for-5g.html
[31]: https://%20https//www.networkworld.com/article/3330603/mobile-wireless/5g-versus-4g-how-speed-latency-and-application-support-differ.html
[32]: https://%20https//www.networkworld.com/article/3319176/mobile-wireless/private-5g-networks-are-coming.html
[33]: https://www.networkworld.com/article/3315626/network-security/5g-and-6g-wireless-technologies-have-security-issues.html
[34]: https://www.networkworld.com/article/3291323/mobile-wireless/millimeter-wave-wireless-could-help-support-5g-and-iot.html
[35]: https://www.facebook.com/NetworkWorld/
[36]: https://www.linkedin.com/company/network-world

