[#]: collector: (lujun9972)
[#]: translator: (warmfrog)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10823-1.html)
[#]: subject: (12 Single Board Computers: Alternative to Raspberry Pi)
[#]: via: (https://itsfoss.com/raspberry-pi-alternatives/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

12 个可替代树莓派的单板机
================================

> 正在寻找树莓派的替代品？这里有一些单板机可以满足你的 DIY 渴求。

树莓派是当前最流行的单板机。你可以在你的 DIY 项目中使用它，或者用它作为一个成本效益高的系统来学习编代码，或者为了你的便利，利用一个[流媒体软件][1]运行在上面作为流媒体设备。

你可以使用树莓派做很多事，但它不是各种极客的最终解决方案。一些人可能在寻找更便宜的开发板，一些可能在寻找更强大的。

无论是哪种情况，我们都有很多原因需要树莓派的替代品。因此，在这片文章里，我们将讨论最好的 12 个我们认为能够替代树莓派的单板机。

![][2]

### 满足你 DIY 渴望的树莓派替代品

这个列表没有特定的顺序排名。链接的一部分是赞助链接。请阅读我们的[赞助政策][3]。

#### 1、Onion Omega2+

![][4]

只要 $13，Omega2+ 是这里你可以找到的最便宜的 IoT 单板机设备。它运行 LEDE（Linux 嵌入式开发环境）Linux 系统 —— 这是一个基于 [OpenWRT][5] 的发行版。

由于运行一个自定义 Linux 系统，它的组成元件、花费和灵活性使它完美适合几乎所有类型的 IoT 应用。

你可以在[亚马逊商城的 Onion Omega 套件][6]或者从他们的网站下单，可能会收取额外的邮费。

**关键参数：**

  * MT7688 SoC
  * 2.4 GHz IEEE 802.11 b/g/n WiFi
  * 128 MB DDR2 RAM
  * 32 MB on-board flash storage
  * MicroSD Slot
  * USB 2.0
  * 12 GPIO Pins

[查看官网][7]

#### 2、NVIDIA Jetson Nano Developer Kit

这是来自 NVIDIA 的只要 **$99** 的非常独特和有趣的树莓派替代品。是的，它不是每个人都能充分利用的设备 —— 只为特定的一组极客或者开发者而生。

NVIDIA 使用下面的用例解释它：

> NVIDIA® Jetson Nano™ Developer Kit 是一个小的、强大的计算机，可以让你并行运行多个神经网络的应用像图像分类、对象侦察、图像分段、语音处理。全部在一个易于使用的、运行功率只有 5 瓦特的平台上。
>
> nvidia

因此，基本上，如果你正在研究 AI 或者深度学习，你可以充分利用开发设备。如果你很好奇，该设备的产品计算模块将在 2019 年 7 月到来。

**关键参数：**

  * CPU: Quad-core ARM A57 @ 1.43 GHz
  * GPU: 128-core Maxwell
  * RAM: 4 GB 64-bit LPDDR4 25.6 GB/s
  * Display: HDMI 2.0
  * 4 x USB 3.0 and eDP 1.4

[查看官网][9]

#### 3、ASUS Tinker Board S

![][10]

ASUS Tinker Board S 不是大多数人可负担得起的树莓派的替换设备 （**$82**，[亚马逊商城][11])，但是它是一个强大的替代品。它的特点是它有你通常可以发现与标准树莓派 3 一样的 40 针脚的连接器，但是提供了强大的处理器和 GPU。同样的，Tinker Board S 的大小恰巧和标准的树莓派3 一样大。

这个板子的主要亮点是 16 GB [eMMC][12] （用外行术语说，它的板上有一个类似 SSD 的存储单元使它工作时运行的更快。） 的存在。

**关键参数：**

  * Rockchip Quad-Core RK3288 processor
  * 2 GB DDR3 RAM
  * Integrated Graphics Processor
  * ARM® Mali™-T764 GPU
  * 16 GB eMMC
  * MicroSD Card Slot
  * 802.11 b/g/n, Bluetooth V4.0 + EDR
  * USB 2.0
  * 28 GPIO pins
  * HDMI Interface

[查看网站][13]

#### 4、ClockworkPi

![][14]

如果你正在想方设法组装一个模块化的复古的游戏控制台，Clockwork Pi 可能就是你需要的，它通常是 [GameShell Kit][15] 的一部分。然而，你可以 使用 $49 单独购买板子。

它紧凑的大小、WiFi 连接性和 micro HDMI 端口的存在使它成为许多方面的选择。

**关键参数：**

  * Allwinner R16-J Quad-core Cortex-A7 CPU @1.2GHz
  * Mali-400 MP2 GPU
  * RAM: 1GB DDR3
  * WiFi & Bluetooth v4.0
  * Micro HDMI output
  * MicroSD Card Slot

[查看官网][16]

#### 5、Arduino Mega 2560

![][17]

如果你正在研究机器人项目或者你想要一个 3D 打印机 —— Arduino Mega 2560 将是树莓派的便利的替代品。不像树莓派，它是基于微控制器而不是微处理器的。

在他们的[官网][18]，你需要花费 $38.50，或者在[在亚马逊商城是 $33][19]。

**关键参数：**

  * Microcontroller: ATmega2560
  * Clock Speed: 16 MHz
  * Digital I/O Pins: 54
  * Analog Input Pins: 16
  * Flash Memory: 256 KB of which 8 KB used by bootloader

[查看官网][18]

#### 6、Rock64 Media Board

![][20]

用与你可能想要的树莓派 3 B+ 相同的价格，你将在 Rock64 Media Board 上获得更快的处理器和双倍的内存。除此之外，如果你想要 1 GB RAM 版的，它提供了一个比树莓派更便宜的替代品，花费更少，只要 $10 。

不像树莓派，它没有无线连接支持，但是 USB 3.0 和 HDMI 2.0 的存在使它与众不同，如果它对你很重要的话。

**关键参数：**

  * Rockchip RK3328 Quad-Core ARM Cortex A53 64-Bit Processor
  * Supports up to 4GB 1600MHz LPDDR3 RAM
  * eMMC module socket
  * MicroSD Card slot
  * USB 3.0
  * HDMI 2.0

[查看官网][21]

#### 7、Odroid-XU4

![][22]

Odroid-XU4 是一个完美的树莓派的替代品，如果你有能够稍微提高预算的空间（$80-$100 甚至更低，取决于存储的容量）。

它确实是一个强大的替代品并且体积更小。支持 eMMC 和 USB 3.0 使它工作起来更快。

**关键参数：**

  * Samsung Exynos 5422 Octa ARM Cortex™-A15 Quad 2Ghz and Cortex™-A7 Quad 1.3GHz CPUs
  * 2Gbyte LPDDR3 RAM
  * GPU: Mali-T628 MP6
  * USB 3.0
  * HDMI 1.4a
  * eMMC 5.0 module socket
  * MicroSD Card Slot

[查看官网][23]

#### 8、PocketBeagle

![][24]

它是一个难以置信的小的单板机 —— 几乎和树莓派Zero 相似。然而它的价格相当于完整大小的树莓派 3。主要的亮点是你可以用它作为一个 USB 便携式信息终端，并且进入 Linux 命令行工作。

**关键参数：**

  * Processor: Octavo Systems OSD3358 1GHz ARM® Cortex-A8
  * RAM: 512 MB DDR3
  * 72 expansion pin headers
  * microUSB
  * USB 2.0

[查看官网][25]

#### 9、Le Potato

![][26]

由 [Libre Computer][27] 出品的 Le Potato，其型号是 AML-S905X-CC。它需要花费你 [$45][28]。

如果你花费的比树莓派更多的钱，你就能得到双倍内存和 HDMI 2.0 接口，这可能是一个完美的选择。尽管，你还是不能找到嵌入的无线连接。

**关键参数：**

  * Amlogic S905X SoC
  * 2GB DDR3 SDRAM
  * USB 2.0
  * HDMI 2.0
  * microUSB
  * MicroSD Card Slot
  * eMMC Interface

[查看官网][29]

#### 10、Banana Pi M64

![][30]

它自带了 8G 的 eMMC —— 这是替代树莓派的主要亮点。因此，它需要花费 $60。

HDMI 接口的存在使它胜任 4K。除此之外，Banana Pi 提供了更多种类的开源单板机作为树莓派的替代。

**关键参数：**

  * 1.2 Ghz Quad-Core ARM Cortex A53 64-Bit Processor-R18
  * 2GB DDR3 SDRAM
  * 8 GB eMMC
  * WiFi & Bluetooth
  * USB 2.0
  * HDMI

[查看官网][31]

#### 11、Orange Pi Zero

![][32]

Orange Pi Zero 相对于树莓派来说难以置信的便宜。你可以在 Aliexpress 或者亚马逊上以最多 $10 就能够获得。如果[稍微多花点，你能够获得 512 MB RAM][33]。

如果这还不够，你可以花费大概 $25 获得更好的配置，比如 Orange Pi 3。

**关键参数：**

  * H2 Quad-core Cortex-A7
  * Mali400MP2 GPU
  * RAM: Up to 512 MB
  * TF Card support
  * WiFi
  * USB 2.0

[查看官网][34]

#### 12、VIM 2 SBC by Khadas

![][35]

由 Khadas 出品的 VIM 2 是最新的单板机，因此你能够在板上得到蓝牙 5.0 支持。它的价格范围[从 $99 的基础款到上限 $140][36]。

基础款包含 2 GB RAM、16 GB eMMC 和蓝牙 4.1。然而，Pro/Max 版包含蓝牙 5.0，更多的内存，更多的 eMMC 存储。

**关键参数：**

  * Amlogic S912 1.5GHz 64-bit Octa-Core CPU
  * T820MP3 GPU
  * Up to 3 GB DDR4 RAM
  * Up to 64 GB eMMC
  * Bluetooth 5.0 (Pro/Max)
  * Bluetooth 4.1 (Basic)
  * HDMI 2.0a
  * WiFi

### 总结

我们知道有很多不同种类的单板机电脑。一些比树莓派更好 —— 它的一些小规格的版本有更便宜的价格。同样的，像 Jetson Nano 这样的单板机已经被裁剪用于特定用途。因此，取决于你需要什么 —— 你应该检查一下单板机的配置。

如果你知道比上述提到的更好的东西，请随意在下方评论来让我们知道。

--------------------------------------------------------------------------------

via: https://itsfoss.com/raspberry-pi-alternatives/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[warmfrog](https://github.com/warmfrog)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/best-linux-media-server/
[2]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/raspberry-pi-alternatives.png?resize=800%2C450&ssl=1
[3]: https://itsfoss.com/affiliate-policy/
[4]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/omega-2-plus-e1555306748755-800x444.jpg?resize=800%2C444&ssl=1
[5]: https://openwrt.org/
[6]: https://amzn.to/2Xj8pkn
[7]: https://onion.io/store/omega2p/
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/Jetson-Nano-e1555306350976-800x590.jpg?resize=800%2C590&ssl=1
[9]: https://developer.nvidia.com/embedded/buy/jetson-nano-devkit
[10]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/04/asus-tinker-board-s-e1555304945760-800x450.jpg?resize=800%2C450&ssl=1
[11]: https://amzn.to/2XfkOFT
[12]: https://en.wikipedia.org/wiki/MultiMediaCard
[13]: https://www.asus.com/in/Single-Board-Computer/Tinker-Board-S/
[14]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/clockwork-pi-e1555305016242-800x506.jpg?resize=800%2C506&ssl=1
[15]: https://itsfoss.com/gameshell-console/
[16]: https://www.clockworkpi.com/product-page/cpi-v3-1
[17]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/arduino-mega-2560-e1555305257633.jpg?ssl=1
[18]: https://store.arduino.cc/usa/mega-2560-r3
[19]: https://amzn.to/2KCi041
[20]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/04/ROCK64_board-e1555306092845-800x440.jpg?resize=800%2C440&ssl=1
[21]: https://www.pine64.org/?product=rock64-media-board-computer
[22]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/04/odroid-xu4.jpg?fit=800%2C354&ssl=1
[23]: https://www.hardkernel.com/shop/odroid-xu4-special-price/
[24]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/04/PocketBeagle.jpg?fit=800%2C450&ssl=1
[25]: https://beagleboard.org/p/products/pocketbeagle
[26]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/04/aml-libre.-e1555306237972-800x514.jpg?resize=800%2C514&ssl=1
[27]: https://libre.computer/
[28]: https://amzn.to/2DpG3xl
[29]: https://libre.computer/products/boards/aml-s905x-cc/
[30]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/banana-pi-m6.jpg?fit=800%2C389&ssl=1
[31]: http://www.banana-pi.org/m64.html
[32]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/04/orange-pi-zero.jpg?fit=800%2C693&ssl=1
[33]: https://amzn.to/2IlI81g
[34]: http://www.orangepi.org/orangepizero/index.html
[35]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/04/khadas-vim-2-e1555306505640-800x563.jpg?resize=800%2C563&ssl=1
[36]: https://amzn.to/2UDvrFE
