[#]: collector: (lujun9972)
[#]: translator: (chen-ni)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10961-1.html)
[#]: subject: (When IoT systems fail: The risk of having bad IoT data)
[#]: via: (https://www.networkworld.com/article/3396230/when-iot-systems-fail-the-risk-of-having-bad-iot-data.html)
[#]: author: (Fredric Paul https://www.networkworld.com/author/Fredric-Paul/)

当物联网系统出现故障：使用低质量物联网数据的风险
======

> 伴随着物联网设备使用量的增长，这些设备产生的数据可以让消费者节约巨大的开支，也给商家带来新的机遇。但是当故障不可避免地出现的时候，会发生什么呢？

![Oonal / Getty Images][1]

不管你看的是什么统计数字，很明显物联网正在走进个人和私人生活的方方面面。这种增长虽然有不少好处，但是也带来了新的风险。一个很重要的问题是，出现问题的时候谁来负责呢？

也许最大的问题出在基于物联网数据进行的个性化营销以及定价策略上。[保险公司长期以来致力于寻找利用物联网数据的最佳方式][2]，我去年写过家庭财产保险公司是如何开始利用物联网传感器减少水灾带来的损失的。一些公司正在研究保险公司竞购消费者的可能性：这种业务基于智能家居数据所揭示的风险的高低。

但是最大的进步出现在汽车保险领域。许多汽车保险公司已经可以让客户在车辆上安装追踪设备，如果数据证明他们的驾驶习惯良好就可以获取保险折扣。

- 延伸阅读:[保险公司终于有了一个利用智能家居物联网的好办法][3]

### UBI 车险的崛起

UBI（<ruby>基于使用的保险<rt>usage-based insurance</rt></ruby>）车险是一种“按需付费”的业务，可以通过追踪速度、位置，以及其他因素来评估风险并计算车险保费。到 2020 年，预计有 [5000 万美国司机][4]会加入到 UBI 车险的项目中。

不出所料，保险公司对 UBI 车险青睐有加，因为 UBI 车险可以帮助他们更加精确地计算风险。事实上，[AIG 爱尔兰已经在尝试让国家向 25 岁以下的司机强制推行 UBI 车险][5]。并且，被认定为驾驶习惯良好的司机自然也很乐意节省一笔费用。当然也有反对的声音了，大多数是来自于隐私权倡导者，以及会因此支付更多费用的群体。

### 出了故障会发生什么？

但是还有一个更加令人担忧的潜在问题：当物联网设备提供的数据有错误，或者在传输过程中出了问题会发生什么？因为尽管有自动化程序、错误检查等等，还是不可避免地会偶尔发生一些故障。

不幸的是，这并不是一个理论上某天会给细心的司机不小心多扣几块钱保费的问题。这已经是一个会带来严重后果的现实问题。就像[保险行业仍然没有想清楚谁应该“拥有”面向客户的物联网设备产生的数据][6]一样，我们也不清楚谁将对这些数据所带来的问题负责。

计算机“故障”据说曾导致赫兹的出租车辆被误报为被盗（虽然在这个例子中这并不是一个严格意义上的物联网问题），并且导致无辜的租车人被逮捕并扣留。结果呢？刑事指控，多年的诉讼官司，以及舆论的指责。非常强烈的舆论指责。

我们非常容易想象一些类似的情况，比如说一个物联网传感器出了故障，然后报告说某辆车超速了，然而事实上并没有超速。想想为这件事打官司的麻烦吧，或者想想和你的保险公司如何争执不下。

（当然，这个问题还有另外一面：消费者可能会想办法篡改他们的物联网设备上的数据，以获得更低的费率或者转移事故责任。我们同样也没有可行的办法来应对*这个问题*。）

### 政府监管是否有必要

考虑到这些问题的潜在影响，以及所涉及公司对处理这些问题的无动于衷，我们似乎有理由猜想政府干预的必要性。

这可能是美国众议员 Bob Latta（俄亥俄州，共和党）[重新引入 SMART IOT（物联网现代应用、研究及趋势的现状）法案][7]背后的一个动机。这项由 Latta 和美国众议员 Peter Welch（佛蒙特州，民主党）领导的两党合作物联网工作组提出的[法案][8]，于去年秋天通过美国众议院，但被美国参议院驳回了。美国商务部需要研究物联网行业的状况，并在两年后向美国众议院能源与商业部和美国参议院商务委员会报告。

Latta 在一份声明中表示，“由于预计会有数万亿美元的经济影响，我们需要考虑物联网所带来的的政策，机遇和挑战。SMART IoT 法案会让人们更容易理解美国政府在物联网政策上的做法、可以改进的地方，以及美国联邦政策如何影响尖端技术的研究和发明。”

这项研究受到了欢迎，但该法案甚至可能不会被通过。即便通过了，物联网在两年的等待时间里也可能会翻天覆地，让美国政府还是无法跟上。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3396230/when-iot-systems-fail-the-risk-of-having-bad-iot-data.html

作者：[Fredric Paul][a]
选题：[lujun9972][b]
译者：[chen-ni](https://github.com/chen-ni)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Fredric-Paul/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2018/08/cloud_connected_smart_cars_by_oonal_gettyimages-692819426_1200x800-100767788-large.jpg
[2]: https://www.networkworld.com/article/3264655/most-insurance-carriers-not-ready-to-use-iot-data.html
[3]: https://www.networkworld.com/article/3296706/finally-a-smart-way-for-insurers-to-leverage-iot-in-smart-homes.html
[4]: https://www.businessinsider.com/iot-is-changing-the-auto-insurance-industry-2015-8
[5]: https://www.iotforall.com/iot-data-is-disrupting-the-insurance-industry/
[6]: https://www.sas.com/en_us/insights/articles/big-data/5-challenges-for-iot-in-insurance-industry.html
[7]: https://www.multichannel.com/news/latta-re-ups-smart-iot-act
[8]: https://latta.house.gov/uploadedfiles/smart_iot_116th.pdf
[9]: https://www.facebook.com/NetworkWorld/
[10]: https://www.linkedin.com/company/network-world
