[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Electronics designed in 5 different countries with open hardware)
[#]: via: (https://opensource.com/article/19/4/hardware-international)
[#]: author: (Michael Weinberg https://opensource.com/users/mweinberg)

Electronics designed in 5 different countries with open hardware
======
This month's open source hardware column looks at certified open
hardware from five countries that may surprise you.
![Gadgets and open hardware][1]

The Open Source Hardware Association's [Hardware Registry][2] lists hardware from 29 different countries on five continents, demonstrating the broad, international footprint of certified open source hardware.

![Open source hardware map][3]

In some ways, this international reach shouldn't be a surprise. Like many other open source communities, the open source hardware community is built on top of the internet, not grounded in any specific geographical location. The focus on documentation, sharing, and openness makes it easy for people in different places with different backgrounds to connect and work together to develop new hardware. Even the community-developed open source hardware [definition][4] has been translated into 11 languages from the original English.

Even if you're familiar with the international nature of open source hardware, it can still be refreshing to step back and remember what it means in practice. While it may not surprise you that there are many certifications from the United States, Germany, and India, some of the other countries boasting certifications might be a bit less expected. Let's look at six such projects from five of those countries.

### Bulgaria

Bulgaria may have the highest per-capita open source hardware certification rate of any country on earth. That distinction is mostly due to the work of two companies: [ANAVI Technology][5] and [Olimex][6].

ANAVI focuses mostly on IoT projects built on top of the Raspberry Pi and ESP8266. The concept of "creator contribution" means that these projects can be certified open source even though they are built upon non-open bases. That is because all of ANAVI's work to develop the hardware on top of these platforms (ANAVI's "creator contribution") has been open sourced in compliance with the certification requirements.

The [ANAVI Light pHAT][7] was the first piece of Bulgarian hardware to be certified by OSHWA. The Light pHAT makes it easy to add a 12V RGB LED strip to a Raspberry Pi.

![ANAVI-Light-pHAT][8]

[ANAVI-Light-pHAT][9]

Olimex's first OSHWA certification was for the [ESP32-PRO][10], a highly connectable IoT board built around an ESP32 microcontroller.

![Olimex ESP32-PRO][11]

[Olimex ESP32-PRO][12]

### China

While most people know China is a hotbed for hardware development, fewer realize that it is also the home to a thriving _open source_ hardware culture. One of the reasons is the tireless advocacy of Naomi Wu (also known as [SexyCyborg][13]). It is fitting that the first piece of certified hardware from China is one she helped develop: the [sino:bit][14]. The sino:bit is designed to help introduce students to programming and includes China-specific features like a LED matrix big enough to represent Chinese characters.

![sino:bit][15]

[ sino:bit][16]

### Mexico

Mexico has also produced a range of certified open source hardware. A recent certification is the [Meow Meow][17], a capacitive touch interface from [Electronic Cats][18]. Meow Meow makes it easy to use a wide range of objects—bananas are always a favorite—as controllers for your computer.

![Meow Meow][19]

[Meow Meow][20]

### Saudi Arabia

Saudi Arabia jumped into open source hardware earlier this year with the [M1 Rover][21]. The robot is an unmanned vehicle that you can build (and build upon). It is compatible with a number of different packages designed for specific purposes, so you can customize it for a wide range of applications.

![M1-Rover ][22]

[M1-Rover][23]

### Sri Lanka

This project from Sri Lanka is part of a larger effort to improve traffic flow in urban areas. The team behind the [Traffic Wave Disruptor][24] read research about how many traffic jams are caused by drivers slamming on their brakes when they drive too close to the car in front of them, producing a ripple of rapid breaking on the road behind them. This stop/start effect can be avoided if cars maintain a consistent, optimal distance from one another. If you reduce the stop/start pattern, you also reduce the number of traffic jams.

![Traffic Wave Disruptor][25]

[Traffic Wave Disruptor][26]

But how can drivers know if they are keeping an optimal distance? The prototype Traffic Wave Disruptor aims to give drivers feedback when they fail to keep optimal spacing. Wider adoption could help increase traffic flow without building new highways nor reducing the number of cars using them.

* * *

You may have noticed that all the hardware featured here is based on electronics. In next month's open source hardware column, we will take a look at open source hardware for the outdoors, away from batteries and plugs. Until then, [certify][27] your open source hardware project (especially if your country is not yet on the registry). It might be featured in a future column.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/4/hardware-international

作者：[Michael Weinberg][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mweinberg
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/openhardwaretools_0.png?itok=NUIvc-R1 (Gadgets and open hardware)
[2]: https://certification.oshwa.org/list.html
[3]: https://opensource.com/sites/default/files/uploads/opensourcehardwaremap.jpg (Open source hardware map)
[4]: https://www.oshwa.org/definition/
[5]: http://anavi.technology/
[6]: https://www.olimex.com/
[7]: https://certification.oshwa.org/bg000001.html
[8]: https://opensource.com/sites/default/files/uploads/anavi-light-phat.png (ANAVI-Light-pHAT)
[9]: http://anavi.technology/#products
[10]: https://certification.oshwa.org/bg000010.html
[11]: https://opensource.com/sites/default/files/uploads/olimex-esp32-pro.png (Olimex ESP32-PRO)
[12]: https://www.olimex.com/Products/IoT/ESP32/ESP32-PRO/open-source-hardware
[13]: https://www.youtube.com/channel/UCh_ugKacslKhsGGdXP0cRRA
[14]: https://certification.oshwa.org/cn000001.html
[15]: https://opensource.com/sites/default/files/uploads/sinobit.png (sino:bit)
[16]: https://github.com/sinobitorg/hardware
[17]: https://certification.oshwa.org/mx000003.html
[18]: https://electroniccats.com/
[19]: https://opensource.com/sites/default/files/uploads/meowmeow.png (Meow Meow)
[20]: https://electroniccats.com/producto/meowmeow/
[21]: https://certification.oshwa.org/sa000001.html
[22]: https://opensource.com/sites/default/files/uploads/m1-rover.png (M1-Rover )
[23]: https://www.hackster.io/AhmedAzouz/m1-rover-362c05
[24]: https://certification.oshwa.org/lk000001.html
[25]: https://opensource.com/sites/default/files/uploads/traffic-wave-disruptor.png (Traffic Wave Disruptor)
[26]: https://github.com/Aightm8/Traffic-wave-disruptor
[27]: https://certification.oshwa.org/
