[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Simplifying organizational change: A guide for the perplexed)
[#]: via: (https://opensource.com/open-organization/19/4/simplifying-change)
[#]: author: (Jen Kelchner https://opensource.com/users/jenkelchner)

Simplifying organizational change: A guide for the perplexed
======
Here's a 4-step, open process for making change easier—both for you and
your organization.
![][1]

Most organizational leaders have encountered a certain paralysis around efforts to implement culture change—perhaps because of perceived difficulty or the time necessary for realizing our work. But change is only as difficult as we choose to make it. In order to lead successful change efforts, we must simplify our understanding and approach to change.

Change isn't something rare. We live everyday life in a continuous state of change—from grappling with the speed of innovation to simply interacting with the environment around us. Quite simply, *change is how we process, disseminate, and adopt new information. *And whether you're leading a team or an organization—or are simply breathing—you'll benefit from a more focused, simplified approach to change. Here's a process that can save you time and reduce frustration.

### Three interactions with change

Everyone interacts with change in different ways. Those differences are based on who we are, our own unique experiences, and our core beliefs. In fact, [only 5% of decision making involves conscious processing][2]. Even when you don't _think_ you're making a decision, you are actually making a decision (that is, to not take action).

So you see, two actors are at play in situations involving change. The first is the human decision maker. The second is the information _coming to_ the decision maker. Both are present in three sets of interactions at varying stages in the decision-making process.

#### **Engaging change**

First, we must understand that uncertainty is really the result of "new information" we must process. We must accept where we are, at that moment, while waiting for additional information. Engaging with change requires us to trust—at the very least, ourselves and our capacity to manage—as new information continues to arrive. Everyone will respond to new information differently, and those responses are based on multiple factors: general hardwiring, unconscious needs that need to be met to feel safe, and so on. How do you feel safe in periods of uncertainty? Are you routine driven? Do you need details or need to assess risk? Are you good with figuring it out on the fly? Or does safety feel like creating something brand new?

#### **Navigating change**

"Navigating" doesn't necessarily mean "going around" something safely. It's knowing how to "get through it." Navigating change truly requires "all hands on deck" in order to keep everything intact and moving forward as we encounter each oncoming wave of new information. Everyone around you has something to contribute to the process of navigation; leverage them for “smooth sailing."

#### **Adopting change**

Only a small set of members in your organization will be truly comfortable with adopting change. But that committed and confident minority can spread the fire of change and help you grow some innovative ideas within your organization. Consider taking advantage of what researchers call "[the pendulum effect][3]," which holds that a group as small as 5% of an organization's population can influence a crowd's direction (the other 95% will follow along without realizing it). Moreover, [scientists at Rensselaer Polytechnic Institute have found][4] that when just 10% of a population holds an unshakable belief, that belief will always be adopted by a majority. Findings from this cognitive study have implications for the spread of innovations and movements within a collective group of people. Opportunities for mass adoption are directly related to your influence with the external parties around you.

Everyone interacts with change in different ways. Those differences are based on who we are, our own unique experiences, and our core beliefs.

### A useful matrix to guide culture change

So far, we've identified three "interactions" every person, team, or department will experience with change: "engaging," "navigating," and "adopting." When we examine the work of _implementing_ change in the broader context of an organization (any kind), we can also identify _three relationships_ that drive the success of each interaction: "people," "capacity," and "information."

Here's a brief list of considerations you should make—at every moment and with every relationship—to help you build roadmaps thoughtfully.

#### **Engaging—People**

Organizational success comes from the overlap of awareness and action of the "I" and the "We."

  * _Individuals (I)_ are aware of and engage based on their [natural response strength][5].
  * _Teams (We)_ are aware of and balance their responsibilities based on the Individual strengths by initiative.
  * _Leaders (I/We) l_ everage insight based on knowing their (I) and the collective (We).



#### **Engaging—Capacity**

"Capacity" applies to skills, processes, and culture that is clearly structured, documented, and accessible with your organization. It is the “space” within which you operate and achieve solutions.

  * _Current state_ awareness allows you to use what and who you have available and accessible through your known operational capacity.
  * _Future state_ needs will show you what is required of you to learn, _or stretch_ , in order to bridge any gaps; essentially, you will design the recoding of your organization.



#### **Engaging—Information**

  * _Access to information_ is readily available to all based on appropriate needs within protocols.
  * _Communication flows_ easily and is reciprocated at all levels.
  * _Communication flow_ is timely and transparent.



#### **Navigating—People**

  * Balance responses from both individuals and the collective will impact your outcomes.
  * Balance the _I_ with the _We_. This allows for responses to co-exist in a seamless, collaborative way—which fuels every project.



#### **Navigating—Capacity**

  * _Skills_ : Assuring a continuous state of assessment and learning through various modalities allows you to navigate with ease as each person graduates their understanding in preparation for the next iteration of change.
  * _Culture:_ Be clear on goals and mission with a supported ecosystem in which your teams can operate by contributing their best efforts when working together.
  * _Processes:_ Review existing processes and let go of anything that prevents you from evolving. Open practices and methodologies do allow for a higher rate of adaptability and decision making.
  * _Utilize Talent:_ Discover who is already in your organization and how you can leverage their talent in new ways. Go beyond your known teams and seek out sources of new perspectives.



#### **Navigating—Information**

  * Be clear on your mission.
  * Be very clear on your desired endgame so everyone knows what you are navigating toward (without clearly defined and posted directions, it's easy to waste time, money and efforts resulting in missed targets).



#### **Adopting—People**

  * _Behaviors_ have a critical impact on influence and adoption.
  * For _internal adoption_ , consider the [pendulum of thought][3] swung by the committed few.



#### **Adopting—Capacity**

  * _Sustainability:_ Leverage people who are more routine and legacy-oriented to help stabilize and embed your new initiatives.
  * Allows your innovators and co-creators to move into the next phase of development and begin solving problems while other team members can perform follow-through efforts.



#### **Adopting—Information**

  * Be open and transparent with your external communication.
  * Lead the way in _what_ you do and _how_ you do it to create a tidal wave of change.
  * Remember that mass adoption has a tipping point of 10%.



[**Download a one-page guide to this model on GitHub.**][6]
---

### Four steps to simplify change

You now understand what change is and how you are processing it. You've seen how you and your organization can reframe various interactions with it. Now, let's examine the four steps to simplify how you interact with and implement change as an individual, team leader, or organizational executive.

#### **1\. Understand change**

Change is receiving and processing new information and determining how to respond and participate with it (think personal or organizational operating system). Change is a _reciprocal_ action between yourself and incoming new information (think system interface). Change is an evolutionary process that happens in layers and stages in a continuous cycle (think data processing, bug fixes, and program iterations).

#### **2\. Know your people**

Change is personal and responses vary by context. People's responses to change are not indicators of the speed of adoption. Knowing how your people and your teams interact with change allows you to balance and optimize your efforts to solving problems, building solutions and sustaining implementations. Are they change makers, fast followers, innovators, stabilizers? When you know how you, _or others_ , process change, you can leverage your risk mitigators to sweep for potential pitfalls; and, your routine minded folks to be responsible for implementation follow through.

Only a small set of members in your organization will be truly comfortable with adopting change. But that committed and confident minority can spread the fire of change and help you grow some innovative ideas within your organization.

#### **3\. Know your capacity**

Your capacity to implement widespread change will depend on your culture, your processes, and decision-making models. Get familiar with your operational capacity and guardrails (process and policy).

#### **4\. Prepare for Interaction**

Each interaction uses your people, capacity (operational), and information flow. Working with the stages of change is not always a linear process and may overlap at certain points along the way. Understand that [_people_ feed all engagement, navigation, and adoption actions][7].

Humans are built for adaptation to our environments. Yes, any kind of change can be scary at first. But it need not involve some major new implementation with a large, looming deadline that throws you off. Knowing that you can take a simplified approach to change, hopefully, you're able to engage new information with ease. Using this approach over time—and integrating it as habit—allows for both the _I_ and the _We_ to experience continuous cycles of change without the tensions of old.

_Want to learn more about simplifying change?[View additional resources on GitHub][8]._

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/4/simplifying-change

作者：[Jen Kelchner][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jenkelchner
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/GOV_2dot0.png?itok=bKJ41T85
[2]: http://www.simplifyinginterfaces.com/2008/08/01/95-percent-of-brain-activity-is-beyond-our-conscious-awareness/
[3]: http://www.leeds.ac.uk/news/article/397/sheep_in_human_clothing__scientists_reveal_our_flock_mentality
[4]: https://news.rpi.edu/luwakkey/2902
[5]: https://opensource.com/open-organization/18/7/transformation-beyond-digital-2
[6]: https://github.com/jenkelchner/simplifying-change/blob/master/Visual_%20Simplifying%20Change%20(1).pdf
[7]: https://opensource.com/open-organization/17/7/digital-transformation-people-1
[8]: https://github.com/jenkelchner/simplifying-change
