[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Learn Python with these awesome resources)
[#]: via: (https://opensource.com/article/19/5/resources-learning-python)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

Learn Python with these awesome resources
======
Expand your Python knowledge by adding these resources to your personal
learning network.
![Book list, favorites][1]

I've been using and teaching Python for a long time now, but I'm always interested in increasing my knowledge about this practical and useful programming language. That's why I've been trying to expand my Python [personal learning network][2] (PLN), a concept that describes informal and mutually beneficial networks for sharing information.

Educators [Kelly Paredes][3] and [Sean Tibor][4] recently talked about how to build your Python PLN on their podcast, [Teaching Python][5], which I subscribed to after meeting them at [PyCon 2019][6] in Cleveland (and adding them to my Python PLN). This podcast inspired me to think more about the people in my Python PLN, including those I met recently at PyCon.

I'll share some of the places I've met members of my PLN; maybe they can become part of your Python PLN, too.

### Young Coders mentors

[Betsy Waliszewski][7], the event coordinator for the Python Foundation, is a member of my Python PLN. When we ran into each other at PyCon2019, because I'm a teacher, she recommended I check out the [Young Coders][8] workshop for kids ages 12 and up. There, I met [Katie Cunningham][9], who was running the program, which taught participants how to set up and configure a Raspberry Pi and use Python. The young students also received two books: _[Python for Kids][10]_ by Jason Briggs and _[Learn to Program with Minecraft][11]_ by Craig Richardson. I'm always looking for new ways to improve my teaching, so I quickly picked up two copies of the Minecraft book at [NoStarch Press][12]' booth at the conference. Katie is a great teacher and a prolific author with a wonderful [YouTube][13] channel full of Python training videos.

I added Katie to my PLN, along with two other people I met at the Young Coders workshop: [Nat Dunn][14] and [Sean Valentine][15]. Like Katie, they were volunteering their time to introduce young programmers to Python. Nat is the president of [Webucator][16], an IT training company that has been a sponsor of the Python Software Foundation for several years and sponsored the PyCon 2018 Education Summit. He decided to teach at Young Coders after teaching Python to his 13-year-old son and 14-year-old nephew. Sean is the director of strategic initiatives at the [Hidden Genius Project][17], a technology and leadership mentoring program for black male youth. Sean said many Hidden Genius participants "built projects using Python, so we saw [Young Coders] as a great opportunity to partner." Learning about the Hidden Genius Project has inspired me to think deeper about the implications of coding and its power to change lives.

### Open Spaces meetups

I found PyCon's [Open Spaces][18], self-organizing, impromptu hour-long meetups, just as useful as the official programmed events. One of my favorites was about the [Circuit Playground Express][19] device, which was part of our conference swag bags. I am fascinated by this device, and the Open Space provided an avenue to learn more. The organizers offered a worksheet and a [GitHub][20] repo with all the tools we needed to be successful, as well as an opportunity for hands-on learning and direction to explore this unique hardware.

This meetup whetted my appetite to learn even more about programming the Circuit Playground Express, so after PyCon, I reached out on Twitter to [Nina Zakharenko][21], who [presented a keynote][22] at the conference about programming the device. Nina has been in my Python PLN since last fall when I heard her talk at [All Things Open][23], and I recently signed up for her [Python Fundamentals][24] class to add to my learning. Nina recommended I add [Kattni Rembor][25], whose [code examples][26] are helping me learn to program with CircuitPython, to my Python PLN.

### Other resources from my PLN

I also met fellow [Opensource.com][27] Community Moderator [Moshe Zadka][28] at PyCon2019 and talked with him at length. He shared several new Python resources, including _[How to Think Like a Computer Scientist][29]_. Community Moderator [Seth Kenlon][30] is another member of my PLN; he has published many great [Python articles][31], and I recommend you follow him, too.

My Python personal learning network continues to grow each day. Besides the folks I have already mentioned, I recommend you follow [Al Sweigart][32], [Eric Matthes][33], and [Adafruit][34] because they share great content. I also recommend the book _[Make: Getting Started with Adafruit Circuit Playground Express][35]_ and [Podcast.__init__][36], a podcast all about the Python community, both of which I learned about from my PLN.

Who is in your Python PLN? Please share your favorites in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/5/resources-learning-python

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/reading_book_stars_list.png?itok=Iwa1oBOl (Book list, favorites)
[2]: https://en.wikipedia.org/wiki/Personal_learning_network
[3]: https://www.teachingpython.fm/hosts/kellypared
[4]: https://twitter.com/smtibor
[5]: https://www.teachingpython.fm/20
[6]: https://us.pycon.org/2019/
[7]: https://www.linkedin.com/in/betsywaliszewski
[8]: https://us.pycon.org/2019/events/letslearnpython/
[9]: https://www.linkedin.com/in/kcunning/
[10]: https://nostarch.com/pythonforkids
[11]: https://nostarch.com/programwithminecraft
[12]: https://nostarch.com/
[13]: https://www.youtube.com/c/KatieCunningham
[14]: https://www.linkedin.com/in/natdunn/
[15]: https://www.linkedin.com/in/sean-valentine-b370349b/
[16]: https://www.webucator.com/
[17]: http://www.hiddengeniusproject.org/
[18]: https://us.pycon.org/2019/events/open-spaces/
[19]: https://www.adafruit.com/product/3333
[20]: https://github.com/adafruit/PyCon2019
[21]: https://twitter.com/nnja
[22]: https://www.youtube.com/watch?v=35mXD40SvXM
[23]: https://allthingsopen.org/
[24]: https://frontendmasters.com/courses/python/
[25]: https://twitter.com/kattni
[26]: https://github.com/kattni/ChiPy_2018
[27]: http://Opensource.com
[28]: https://opensource.com/users/moshez
[29]: http://openbookproject.net/thinkcs/python/english3e/
[30]: https://opensource.com/users/seth
[31]: https://www.google.com/search?source=hp&ei=gVToXPq-FYXGsAW-mZ_YAw&q=site%3Aopensource.com+%22Seth+Kenlon%22+%2B+Python&oq=site%3Aopensource.com+%22Seth+Kenlon%22+%2B+Python&gs_l=psy-ab.12...627.15303..15584...1.0..0.176.2802.4j21......0....1..gws-wiz.....0..35i39j0j0i131j0i67j0i20i263.r2SAW3dxlB4
[32]: http://alsweigart.com/
[33]: https://twitter.com/ehmatthes?lang=en
[34]: https://twitter.com/adafruit
[35]: https://www.adafruit.com/product/3944
[36]: https://www.pythonpodcast.com/episodes/
