[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Aging in the open: How this community changed us)
[#]: via: (https://opensource.com/open-organization/19/6/four-year-celebration)
[#]: author: (Bryan Behrenshausen https://opensource.com/users/bbehrens)

Aging in the open: How this community changed us
======
Our community dedicated to exploring open organizational culture and
design turns four years old this week.
![Browser window with birthday hats and a cake][1]

A community will always surprise you.

That's not an easy statement for someone like me to digest. I'm not one for surprises. I revel in predictability. I thrive on consistency.

A passionate and dedicated community offers few of these comforts. Participating in something like [the open organization community at Opensource.com][2]—which [turns four years old this week][3]—means acquiescing to dynamism, to constant change. Every day brings novelty. Every correspondence is packed with possibility. Every interaction reveals undisclosed pathways.

To [a certain type of person][4] (me again), it can be downright terrifying.

But that unrelenting and genuine surprise is the [very source of a community's richness][5], its sheer abundance. If a community is the nucleus of all those reactions that catalyze innovations and breakthroughs, then unpredictability and serendipity are its fuel. I've learned to appreciate it—more accurately, perhaps, to stand in awe of it. Four years ago, when the Opensource.com team heeded [Jim Whitehurst's call][6] to build a space for others to "share your thoughts and opinions… on how you think we can all lead and work better in the future" (see the final page of _The Open Organization_ ), we had little more than a mandate, a platform, and a vision. We'd be an open organization [committed to studying, learning from, and propagating open organizations][7]. The rest was a surprise—or rather, a series of surprises:

  * [Hundreds of articles, reviews, guides, and tutorials][2] on infusing open principles into organizations of all sizes across industries
  * [A book series][8] spanning five volumes (with [another currently in production][9])
  * A detailed, comprehensive, community-maintained [definition of the "open organization" concept][10]
  * A [robust maturity model][11] for anyone seeking to understand how that definition might (or might not) support their own work



All of that—everything you see there, [and more][12]—is the work of a community that never stopped conversing, never ceased creating, never failed to outsmart itself. No one could have predicted it. No one could have [planned for it][13]. We simply do our best to keep up with it.

And after four years the work continues, more focused and impassioned than ever. Remaining involved with this bunch of writers, educators, consultants, coaches, leaders, and mentors—all united by their belief that openness is the surest source of hope for organizations struggling to address the challenges of our age—has made me appreciate the power of the utterly surprising. I'm even getting a little more comfortable with it.

That's been its gift to me. But the gifts it has given each of its participants have been equally special.

As we celebrate four years of challenges, collaboration, and camaraderie this week, let's recount those surprising gifts by hearing from some of the members:

* * *

Four years of the open organization community—congratulations to all!

My first thought was to look at the five most-read articles over the past four years. Here they are:

  * [5 laws every aspiring DevOps engineer should know][14]
  * [What value do you bring to your company?][15]
  * [8 answers to management questions from an open point of view][16]
  * [What to do when you're feeling underutilized][17]
  * [What's the point of DevOps?][18]



All great articles. And then I started to think: Of all the great content over the past four years, which articles have impacted me the most?

I remembered reading several great articles about meetings and how to make them more effective. So I typed "opensource.com meetings" into my search engine, and these two wonderful articles were at the top of the results list:

  * [The secret to better one-on-one meetings][19]
  * [Time to rethink your team's approach to meetings][20]



Articles like that have inspired my favorite open organization management principle, which I've tried to apply and has made a huge difference: All meetings are optional.

**—Jeff Mackanic, senior director, Marketing, Red Hat**

* * *

Being a member of the "open community" has reminded me of the power of getting things done via values and shared purpose without command and control—something that seems more important than ever in today's fragmented and often abusive management world, and at a time when truth and transparency themselves are under attack.

Four years is a long journey for this kind of initiative—but there's still so much to learn and understand about what makes "open" work and what it will take to accelerate the embrace of its principles more widely through different domains of work and society. Congratulations on all you, your colleagues, partners, and other members of the community have done thus far!

**—Brook Manville, Principal, Brook Manville LLC, author of _A Company of Citizens_ and co-author of _The Harvard Business Review Leader's Handbook_**

* * *

The Open Organization Ambassador program has, in the last four years, become an inspired community of experts. We have defined what it means to be a truly open organization. We've written books, guides, articles, and other resources for learning about, understanding, and implementing open principles. We've done this while bringing open principles to other communities, and we've done this together.

For me, personally and professionally, the togetherness is the best part of this endeavor. I have learned so much from my colleagues. I'm absolutely ecstatic to be one of the idealists and activists in this community—committed to making our workplaces more equitable and open.

**—Laura Hilliger, co-founder, We Are Open Co-Op, and[Open Organization Ambassador][21]**

* * *

Finding the open organization community opened me up to knowing that there are others out there who thought as I did. I wasn't alone. My ideas on leadership and the workplace were not crazy. This sense of belonging increased once I joined the Ambassador team. Our monthly meetings are never long enough. I don't like when we have to hang up because each session is full of laughter, sharpening each other, idea exchange, and joy. Humans seek community. We search for people who share values and ideals as we do but who also push back and help us expand. This is the gift of the open organization community—expansion, growth, and lifelong friendships. Thank you to all of those who contribute their time, intellect, content, and whole self to this awesome think tank that is changing the shape of how we organize to solve problems!

**—Jen Kelchner, founder and Chief Change Architect, LDR21, and[Open Organization Ambassador][21]**

* * *

Happy fourth birthday, open organization community! Thank you for being an ever-present reminder in my life that being open is better than being closed, that listening is more fruitful than telling, and that together we can achieve more.

**—Michael Doyle, professional coach and[Open Organization Ambassador][21]**

* * *

Wow, what a journey it's been exploring the world of open organizations. We're seeing more interest now than ever before. It's amazing to see what this community has done and I'm excited to see what the future holds for open organizations and open leadership.

**—Jason Hibbets, senior community architect, Red Hat**

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/6/four-year-celebration

作者：[Bryan Behrenshausen][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/bbehrens
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/happy_birthday_anniversary_celebrate_hats_cake.jpg?itok=Zfsv6DE_ (Browser window with birthday hats and a cake)
[2]: https://opensource.com/open-organization
[3]: https://opensource.com/open-organization/15/5/introducing-open-organization
[4]: https://opensource.com/open-organization/18/11/design-communities-personality-types
[5]: https://opensource.com/open-organization/18/1/why-build-community-1
[6]: https://www.redhat.com/en/explore/the-open-organization-book
[7]: https://opensource.com/open-organization/resources/ambassadors-program
[8]: https://opensource.com/open-organization/resources/book-series
[9]: https://opensource.com/open-organization/19/5/educators-guide-project
[10]: https://opensource.com/open-organization/resources/open-org-definition
[11]: https://opensource.com/open-organization/resources/open-org-maturity-model
[12]: https://opensource.com/open-organization/resources
[13]: https://opensource.com/open-organization/19/2/3-misconceptions-agile
[14]: https://opensource.com/open-organization/17/5/5-devops-laws
[15]: https://opensource.com/open-organization/15/7/what-value-do-you-bring-your-company
[16]: https://opensource.com/open-organization/16/5/open-questions-and-answers-about-open-management
[17]: https://opensource.com/open-organization/17/4/feeling-underutilized
[18]: https://opensource.com/open-organization/17/5/what-is-the-point-of-DevOps
[19]: https://opensource.com/open-organization/18/5/open-one-on-one-meetings-guide
[20]: https://opensource.com/open-organization/18/3/open-approaches-meetings
[21]: https://opensource.com/open-organization/resources/meet-ambassadors
