[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Open hardware for musicians and music lovers: Headphone, amps, and more)
[#]: via: (https://opensource.com/article/19/6/hardware-music)
[#]: author: (Michael Weinberg https://opensource.com/users/mweinberg)

Open hardware for musicians and music lovers: Headphone, amps, and more
======
From 3D-printed instruments to devices that pull sound out of the air,
there are plenty of ways to create music with open hardware projects.
![][1]

The world is full of great [open source music players][2], but why stop at using open source just to _play_ music? You can also use open source hardware to make music. All of the instruments described in this article are [certified by the Open Source Hardware Association][3] (OSHWA). That means you are free to build upon them, remix them, or do anything else with them.

### Open source instruments

Instruments are always a good place to start when you want to make music. If your instrument choices lean towards the more traditional, the [F-F-Fiddle][4] may be the one for you.

![F-f-fiddle][5]

The F-F-Fiddle is a full-sized electric violin that you can make with a standard desktop 3D printer ([fused filament fabrication][6]—get it?). If you need to see it to believe it, here is a video of the F-F-Fiddle in action:

Mastered the fiddle and interested in something a bit more exotic? How about the [Open Theremin][7]?

![Open Theremin][8]

Like all theremins, Open Theremin lets you play music without touching the instrument. It is, of course, especially good at making [creepy space sounds][9] for your next sci-fi video or space-themed party.

The [Waft][10] operates similarly by allowing you to control sounds remotely. It uses [Lidar][11] to measure the distance of your hand from the sensor. Check it out:

Is the Waft a theremin? I'm not sure—theremin pedants should weigh in below in the comments.

If theremins are too well-known for you, [SIGNUM][12] may be just what you are looking for. In the words of its developers, SIGNUM "uncovers the encrypted codes of information and the language of man/machine communication" by turning invisible wireless communications into audible signals.

![SIGNUM][13]

Here is in action:

### Inputs

Regardless of what instrument you use, you will need to plug it into something. If you want that something to be a Raspberry Pi, try the [AudioSense-Pi][14], which allows you to connect multiple inputs and outputs to your Pi at once.

![AudioSense-Pi][15]

### Synths

What about synthesizers? SparkFun's [SparkPunk Sound Kit][16] is a simple synth that gives you lots of room to play.

![SparkFun SparkPunk Sound Kit][17]

### Headphones

Making all this music is great, but you also need to think about how you will listen to it. Fortunately, [EQ-1 headphones][18] are open source and 3D-printable.

![EQ-1 headphones][19]

Are you making music with open source hardware? Let us know in the comments!

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/6/hardware-music

作者：[Michael Weinberg][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mweinberg
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LIFE_musicinfinity.png?itok=7LkfjcS9
[2]: https://opensource.com/article/19/2/audio-players-linux
[3]: https://certification.oshwa.org/
[4]: https://certification.oshwa.org/us000010.html
[5]: https://opensource.com/sites/default/files/uploads/f-f-fiddle.png (F-f-fiddle)
[6]: https://en.wikipedia.org/wiki/Fused_filament_fabrication
[7]: https://certification.oshwa.org/ch000001.html
[8]: https://opensource.com/sites/default/files/uploads/open-theremin.png (Open Theremin)
[9]: https://youtu.be/p05ZSHRYXVA?t=771
[10]: https://certification.oshwa.org/uk000005.html
[11]: https://en.wikipedia.org/wiki/Lidar
[12]: https://certification.oshwa.org/es000003.html
[13]: https://opensource.com/sites/default/files/uploads/signum.png (SIGNUM)
[14]: https://certification.oshwa.org/in000007.html
[15]: https://opensource.com/sites/default/files/uploads/audiosense-pi.png (AudioSense-Pi)
[16]: https://certification.oshwa.org/us000016.html
[17]: https://opensource.com/sites/default/files/uploads/sparkpunksoundkit.png (SparkFun SparkPunk Sound Kit)
[18]: https://certification.oshwa.org/us000038.html
[19]: https://opensource.com/sites/default/files/uploads/eq-1-headphones.png (EQ-1 headphones)
