[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Learning by teaching, and speaking, in open source)
[#]: via: (https://opensource.com/article/19/6/conference-proposal-tips)
[#]: author: (Lauren Maffeo https://opensource.com/users/lmaffeo)

Learning by teaching, and speaking, in open source
======
Want to speak at an open source conference? Here are a few tips to get
started.
![photo of microphone][1]

_"Everything good, everything magical happens between the months of June and August."_

When Jenny Han wrote these words, I doubt she had the open source community in mind. Yet, for our group of dispersed nomads, the summer brings a wave of conferences that allow us to connect in person.

From [OSCON][2] in Portland to [Drupal GovCon][3] in Bethesda, and [Open Source Summit North America][4] in San Diego, there’s no shortage of ways to match faces with Twitter avatars. After months of working on open source projects via Slack and Google Hangouts, the face time that these summer conferences offer is invaluable.

The knowledge attendees gain at open source conferences serves as the spark for new contributions. And speaking from experience, the best way to gain value from these conferences is for you to _speak_ at them.

But, does the thought of speaking give you chills? Hear me out before closing your browser.

Last August, I arrived at the Vancouver Convention Centre to give a lightning talk and speak on a panel at [Open Source Summit North America 2018][5]. It’s no exaggeration to say that this conference—and applying to speak at it—transformed my career. Nine months later, I’ve:

  * Become a Community Moderator for Opensource.com
  * Spoken at two additional open source conferences ([All Things Open][6] and [DrupalCon North America][7])
  * Made my first GitHub pull request
  * Taken "Intro to Python" and written my first lines of code in [React][8]
  * Taken the first steps towards writing a book proposal



I don’t discount how much time, effort, and money are [involved in conference speaking][9]. Regardless, I can say with certainty that nothing else has grown my career so drastically. In the process, I met strangers who quickly became friends and unofficial mentors. Their feedback, advice, and connections have helped me grow in ways that I hadn’t envisioned this time last year.

Had I not boarded that flight to Canada, I would not be where I am today.

So, have I convinced you to take the first step? It’s easier than you think. If you want to [apply to speak at an open source conference][10] but are stuck on what to discuss, ask yourself this question: **What do I want to learn?**

You don’t have to be an expert on the topics that you pitch. You don’t have to know everything about JavaScript, [ML][11], or Linux to [write conference proposals][12] on these topics.

Here’s what you _do_ need: A willingness to do the work of teaching yourself these topics. And like any self-directed task, you’ll be most willing to do this work if you're invested in the subject.

As summer conference season draws closer, soak up all the knowledge you can. Then, ask yourself what you want to learn more about, and apply to speak about those subjects at fall/winter open source events.

After all, one of the most effective ways to learn is by [teaching a topic to someone else][13]. So, what will the open source community learn from you?

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/6/conference-proposal-tips

作者：[Lauren Maffeo][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/lmaffeo
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/microphone_speak.png?itok=wW6elbl5 (photo of microphone)
[2]: https://conferences.oreilly.com/oscon/oscon-or
[3]: https://www.drupalgovcon.org
[4]: https://events.linuxfoundation.org/events/open-source-summit-north-america-2019/
[5]: https://events.linuxfoundation.org/events/open-source-summit-north-america-2018/
[6]: https://allthingsopen.org
[7]: https://lab.getapp.com/bias-in-ai-drupalcon-debrief/
[8]: https://reactjs.org
[9]: https://twitter.com/venikunche/status/1130868572098572291
[10]: https://opensource.com/article/19/1/public-speaking-resolutions
[11]: https://en.wikipedia.org/wiki/ML_(programming_language)
[12]: https://dev.to/aspittel/public-speaking-as-a-developer-2ihj
[13]: https://opensource.com/article/19/5/learn-python-teaching
