[#]: collector: (lujun9972)
[#]: translator: (arrowfeng)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (5 essential values for the DevOps mindset)
[#]: via: (https://opensource.com/article/19/5/values-devops-mindset)
[#]: author: (Brent Aaron Reed https://opensource.com/users/brentaaronreed/users/wpschaub/users/wpschaub/users/wpschaub/users/cobiacomm/users/marcobravo/users/brentaaronreed)

关于 DevOps 思维模式所需具备的5个基本价值观
======
人和流程比在解决的业务问题的任何技术“银弹”更重要，且需要花更多的时间。
![human head, brain outlined with computer hardware background][1]

今天的许多 IT 专业人士都在努力适应变化和扰动。您是否正在努力适应变化，可以这么说？ 你觉得不堪重负吗？这并不罕见。今天，IT 的现状还不够好，所以需要不断尝试重新自我演进。

凭借30多年的IT综合经验，我们见证了人们和人际关系的重要性，它有让 IT有效和帮助业务蓬勃发展的能力。但是，在大多数情况下，我们关于IT解决方案的对话始于技术而非人员和流程。寻找“银弹”来解决业务和IT挑战的倾向非常普遍。但你不能只关心创新，DevOps或有效的团队和工作方式;他们需要得到培养，支持和引导。

由于扰动如此普遍，并且对变革速度存在如此迫切的需求，我们需要纪律和围栏。下面描述的 DevOps 思维模式的五个基本价值观将支持将我们带到那里的实践。这些价值观不是新观念;我们从经验中学到了它们并重构它们。一些值可以互换，它们是灵活的，并且它们指导支持（如支柱）这五个价值观的整体原则。

![5 essential values for the DevOps mindset][2]

### 1\. 利益相关方的反馈至关重要

我们如何知道我们是否为我们创造了比利益相关者更多的价值？ 我们需要持久的质量数据来分析，通知并推动更好的决策。 来自可靠来源的相关信息对于任何业务的蓬勃发展至关重要。 我们需要倾听并理解我们的利益相关者所说的，而不是说我们需要以一种方式实施变革，使我们能够调整我们的思维、我们的流程和技术，并根据需要对其进行调整以使我们的利益相关者满意。由于信息（数据）不正确，我们常常看到很少的变化，或者由于错误的原因而发生的很多变化。因此，将变更与利益相关方的反馈结合起来是一项重要的价值，并有助我们专注于使公司成功最重要的事情。


> 关注我们的利益相关者及其反馈，而不仅仅是为了改变而改变。

### 2\. 超越当今流程的极限

我们希望我们的产品和服务能够不断让客户满意——我们最重要的利益相关者。因此，我们需要不断改进。这不仅仅是关于质量;它还可能意味着成本，可用性，相关性以及许多其他目标和因素。创建可重复的流程或使用通用框架是非常棒的，它们可以改善治理和许多其他问题。但是，这不应该是我们的最终目标。在寻找改进方法时，我们必须调整我们的流程，并辅以正确的技术和工具。可能有理由抛弃“所谓的”框架，因为不这样做可能会增加浪费,更糟糕的是只是“货物结果”（做一些没有价值或目的的东西）。

> 力争始终创新并改进可重复的流程和框架。

### 3\. 无需新的筒仓来打破旧的筒仓

筒仓和DevOps是不兼容的。我们始终看到这一点：IT 主管带来了所谓的“专家”来实施敏捷和DevOps，他们做了什么？这些“专家”在现有问题的基础上创建了一个新问题，这是另一个加入 IT 部门的筒仓和一个充满筒仓的企业。创建“DevOps”标题违背了敏捷和DevOps的原则，这些原则基于打破筒仓的概念。在敏捷和DevOps中，团队合作是必不可少的，如果你不在自组织团队中工作，那么你就不会做任何事情。

> 相互激励和共享，而不是成为英雄或创建一个筒仓。

### 4\. 了解您的客户意味着跨组织协作

业务的任何部分都不是一个独立的实体，因为它们都有利益相关者，主要利益相关者始终是客户。“客户永远是对的”（正如我想说的那样，或者是国王）。关键是，没有客户，真的没有业务，而且为了保持业务，如今我们需要与竞争对手“区别对待”。我们还需要了解客户对我们的看法以及他们对我们的期望。了解客户的需求势在必行，需要及时反馈，以确保业务能够快速，负责地满足这些主要利益相关者的需求和关注。

![Minimize time spent with build-measure-learn process][3]

无论是想法，概念，假设还是直接的利益相关者反馈，我们都需要通过使用探索，构建，测试和交付生命周期来识别和衡量我们的产品提供的功能或服务。从根本上说，这意味着我们需要在整个组织中“插入”我们的组织。在持续创新，学习和DevOps方面没有任何边界。因此，当我们在整个企业中进行衡量时，我们可以理解整体并采取可行的，有意义的步骤来改进。

> 衡量整个组织的绩效，而不仅仅是在业务范围内。

### 5\. 热情鼓舞采纳

不是每个人都被驱使去学习，适应和改变;然而，就像微笑可能具有传染性一样，学习和意愿成为变革文化的一部分也是如此。在学习文化中适应和演化为一群人提供了学习和传递信息（即文化传播）的自然机制。学习风格，态度，方法和过程不断演化，因此我们可以改进它们。下一步是应用所学和改进的内容并与同事分享信息。学习不会自动发生;它需要努力，评估，纪律，意识，特别是沟通;遗憾的是，这些都是工具和自动化无法提供的。检查您的流程，自动化，工具策略和实施工作，使其透明化，并与您的同事协作重复使用和改进。

> 通过精益质量的可交付成果促进学习文化，而不仅仅是工具和自动化。

### 总结

![Continuous goals of DevOps mindset][4]

随着我们的公司采用DevOps，我们继续在任何书籍，网站或自动化软件上支持这五个价值观。采用这种思维方式需要时间，这与我们以前作为系统管理员所做的完全不同。这是一种全新的工作方式，需要很多年才能成熟。这些原则是否与您自己的原则一致？在评论或我们的网站上分享。[混乱特工]

* * *

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/5/values-devops-mindset

作者：[Brent Aaron Reed][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/arrowfeng)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/brentaaronreed/users/wpschaub/users/wpschaub/users/wpschaub/users/cobiacomm/users/marcobravo/users/brentaaronreed
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/brain_data.png?itok=RH6NA32X (human head, brain outlined with computer hardware background)
[2]: https://opensource.com/sites/default/files/uploads/devops_mindset_values.png (5 essential values for the DevOps mindset)
[3]: https://opensource.com/sites/default/files/uploads/devops_mindset_minimze-time.jpg (Minimize time spent with build-measure-learn process)
[4]: https://opensource.com/sites/default/files/uploads/devops_mindset_continuous.png (Continuous goals of DevOps mindset)
[5]: http://agents-of-chaos.org
